Skip to main content
Create troubleshooting session for target
curl --request POST \
  --url https://api.acornops.dev/api/v1/workspaces/{workspaceId}/targets/{targetId}/sessions \
  --header 'Content-Type: application/json' \
  --cookie acornops_cp_session= \
  --data '
{
  "title": "Investigate CrashLoopBackOff in payments-api"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "targetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "clusterId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "title": "<string>",
  "createdByUser": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "email": "jsmith@example.com",
    "displayName": "<string>",
    "emailVerified": true,
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  },
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.acornops.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

acornops_cp_session
string
cookie
required

Path Parameters

workspaceId
string<uuid>
required
Example:

"4b930d98-add9-4924-ab26-3c16d96ec373"

targetId
string<uuid>
required
Example:

"5b006e4c-509c-458a-9f02-5aafbdc01ade"

Body

application/json
title
string
required
Example:

"Investigate CrashLoopBackOff in payments-api"

Response

Session created.

id
string<uuid>
required
workspaceId
string<uuid>
required
targetId
string<uuid>
required
targetType
enum<string>
required
Available options:
kubernetes,
virtual_machine
createdBy
string<uuid>
required
clusterId
string<uuid>
title
string
createdByUser
object
createdAt
string<date-time>
updatedAt
string<date-time>